Debian Bug report logs - #407462
pgplot5: Perl module compilation against cpgplot fails

version graph

Package: pgplot5; Maintainer for pgplot5 is Carlo Segre <segre@debian.org>; Source for pgplot5 is src:pgplot5.

Reported by: Diab Jerius <djerius@cfa.harvard.edu>

Date: Thu, 18 Jan 2007 16:33:01 UTC

Severity: normal

Tags: patch

Found in version pgplot5/5.2.2-8

Fixed in version pgplot5/5.2.2-10

Done: Carlo Segre <segre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Diab Jerius <djerius@cfa.harvard.edu>:
New Bug report received and forwarded. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Diab Jerius <djerius@cfa.harvard.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pgplot5: Perl module compilation against cpgplot fails
Date: Thu, 18 Jan 2007 11:12:09 -0500
Package: pgplot5
Version: 5.2.2-8
Severity: normal


I'm attempting to install the Perl PGPLOT module, version 2.19.  It is
unable to link against cpgplot, with the following error message:


=======================================================================


% make
cp PGPLOT.pm blib/lib/PGPLOT.pm
/usr/bin/perl /usr/share/perl5/ExtUtils/xsubpp  -typemap /usr/share/perl/5.8/ExtUtils/typemap -typemap typemap  PGPLOT.xs > PGPLOT.xsc && mv PGPLOT.xsc PGPLOT.c
Please specify prototyping behavior for PGPLOT.xs (see perlxs manual)
cc -c  -I/usr/include -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2   -DVERSION=\"2.19\" -DXS_VERSION=\"2.19\" -fPIC "-I/usr/lib/perl/5.8/CORE"   PGPLOT.c
Running Mkbootstrap for PGPLOT ()
chmod 644 PGPLOT.bs
rm -f blib/arch/auto/PGPLOT/PGPLOT.so
cc  -shared -L/usr/local/lib PGPLOT.o  -o blib/arch/auto/PGPLOT/PGPLOT.so      \
           -L/usr/X11R6/lib -L/usr/lib -lpgplot -lcpgplot -lX11 -L/usr/lib/gcc/x86_64-linux-gnu/3.4.6/../../../../lib -L/usr/lib -lg2c -lm -L/usr/lib/gcc/x86_64-linux-gnu/4.1.2 -lgcc          \
          
/usr/bin/ld: /usr/lib/libcpgplot.a(cpgarro.o): relocation R_X86_64_PC32 against `pgarro_' can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status


=======================================================================

If I'm reading the error correctly, it looks like cpgplot needs to be
recompiled with -fPIC, even though it's a static library.




-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages pgplot5 depends on:
ii  libc6                     2.3.6.ds1-8    GNU C Library: Shared libraries
ii  libg2c0                   1:3.4.6-5      Runtime library for GNU Fortran 77
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libx11-6                  2:1.0.3-4      X11 client-side library
ii  zlib1g                    1:1.2.3-13     compression library - runtime

pgplot5 recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to segre@agni.phys.iit.edu:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Carlo Segre <segre@iit.edu>
To: Diab Jerius <djerius@cfa.harvard.edu>, 407462-done@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>
Subject: Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails
Date: Sat, 20 Jan 2007 14:35:24 -0600 (CST)
Hi Diab:

On Thu, 18 Jan 2007, Diab Jerius wrote:

> Package: pgplot5
> Version: 5.2.2-8
> Severity: normal
>
>
> I'm attempting to install the Perl PGPLOT module, version 2.19.  It is
> unable to link against cpgplot, with the following error message:
>

It turns out that PGPERL 2.18 is in Debian sarge as the "pgperl" package. 
It was removed for lack of a maintainer in 2005.  I took a look and saw 
that in order to get it to compile on a Debian system, it is necessary to 
change the Makefile.PL in the PGPERL tarball in the way listed below.  The 
problem is not in the Debian installation but in the way libcpgplot.a is 
searched for in the compilation.

That being said, I am closing this bug as the pgplot5 debian package seems 
to be OK and meets policy.

If you would like to see PGPERL back in Debian, it might be possible to 
get the Debian Perl Group to maintain it.  I found it fairly 
straightforward to update the 2.18 sarge package to version 2.19 and 
to make it build on sid.  Please let me know.

Carlo

--- libpgplot-perl-2.19.orig/Makefile.PL
+++ libpgplot-perl-2.19/Makefile.PL
@@ -75,19 +75,9 @@
     'NAME'     => 'PGPLOT',
     'PREREQ_PM' => { 'ExtUtils::F77' => 1.13 },
     'VERSION_FROM'     => 'PGPLOT.pm',
-     ($^O eq 'VMS' ? ('LIBS' => 'pgplot_dir:cpgplot.olb') :
-     (-d 'pgplot_tmp' ?
-        ('OBJECT' => '$(BASEEXT)$(OBJ_EXT) pgplot_tmp/libcpgplot.a '.
-                    'pgplot_tmp/libpgplot.a',
-        'LIBS' => [ join( ' ', $LIBDIRS, $LIBS, ExtUtils::F77->runtime ) 
]
-       )
-      :
-      ('LIBS' => [ join( ' ', $LIBDIRS, $LIBS, ExtUtils::F77->runtime )])
-     )),
+    'LIBS' => [' -lcpgplot -lpgplot -lpng -L/usr/X11R6/lib -lX11 ' .
+              ExtUtils::F77->runtime],
     'DEFINE'   =>  ExtUtils::F77->trail_ ? "" : "-DNO_TRAILING_USCORE",
-    ($^O eq 'VMS' ? ('INC' => 'pgplot_dir:') : (
-    'INC'      => $IDIRS
-    )),
     'dist'      => { COMPRESS=>"gzip", SUFFIX=>"gz" },
     'DLEXT'     => $dlext,
     'depend'    => { '$(OBJECT)' => q[pgfun.c arrays.c PGPLOT.c]}



-- 
Carlo U. Segre -- Professor of Physics
Associate Dean for Special Projects, Graduate College
Illinois Institute of Technology
Voice: 312.567.3498            Fax: 312.567.3494
segre@iit.edu    http://www.iit.edu/~segre    segre@debian.org



Reply sent to segre@agni.phys.iit.edu:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Diab Jerius <djerius@cfa.harvard.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Diab Jerius <dj@head.cfa.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #20 received at 407462@bugs.debian.org (full text, mbox):

From: Diab Jerius <dj@head.cfa.harvard.edu>
To: 407462@bugs.debian.org
Cc: Diab Jerius <djerius@cfa.harvard.edu>
Subject: Re: Bug#407462 closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 10:37:53 -0500
Carlo,

Thanks for looking at this.  Unfortunately, PGPPLOT 2.19 is very
different from 2.18 (I helped with the 2.19 changes so I'm familiar with
the code) so the fix for 2.18 is not applicable, and is in fact no
longer required.

The problem really is a compilation problem, not a setup problem.  Note
that the error is not that it cannot find the library, but that it
cannot link against the library because of the way that the library was
compiled:

/usr/bin/ld: /usr/lib/libcpgplot.a(cpgarro.o): relocation R_X86_64_PC32 against 
`pgarro_' can not be used when making a shared object; recompile with -fPIC

Please reopen this bug -- it's still not fixed.

Thanks,
Diab


On Sat, 2007-01-20 at 12:48 -0800, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> #407462: pgplot5: Perl module compilation against cpgplot fails,
> which was filed against the pgplot5 package.
> 
> It has been closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu).
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) by replying
> to this email.
> 
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
> 
> email message attachment
> > -------- Forwarded Message --------
> > From: Carlo Segre <segre@iit.edu>
> > Reply-To: segre@agni.phys.iit.edu
> > To: Diab Jerius <djerius@cfa.harvard.edu>,
> > 407462-done@bugs.debian.org
> > Cc: Debian Bug Tracking System <submit@bugs.debian.org>,
> > debian-bugs-dist@lists.debian.org, Gopal Narayanan
> > <gopal@debian.org>
> > Subject: Re: Bug#407462: pgplot5: Perl module compilation against
> > cpgplot fails
> > Date: Sat, 20 Jan 2007 14:35:24 -0600 (CST)
> > 
> > Hi Diab:
> > 
> > On Thu, 18 Jan 2007, Diab Jerius wrote:
> > 
> > > Package: pgplot5
> > > Version: 5.2.2-8
> > > Severity: normal
> > >
> > >
> > > I'm attempting to install the Perl PGPLOT module, version 2.19.  It is
> > > unable to link against cpgplot, with the following error message:
> > >
> > 
> > It turns out that PGPERL 2.18 is in Debian sarge as the "pgperl" package. 
> > It was removed for lack of a maintainer in 2005.  I took a look and saw 
> > that in order to get it to compile on a Debian system, it is necessary to 
> > change the Makefile.PL in the PGPERL tarball in the way listed below.  The 
> > problem is not in the Debian installation but in the way libcpgplot.a is 
> > searched for in the compilation.
> > 
> > That being said, I am closing this bug as the pgplot5 debian package seems 
> > to be OK and meets policy.
> > 
> > If you would like to see PGPERL back in Debian, it might be possible to 
> > get the Debian Perl Group to maintain it.  I found it fairly 
> > straightforward to update the 2.18 sarge package to version 2.19 and 
> > to make it build on sid.  Please let me know.
> > 
> > Carlo
> > 
> > --- libpgplot-perl-2.19.orig/Makefile.PL
> > +++ libpgplot-perl-2.19/Makefile.PL
> > @@ -75,19 +75,9 @@
> >       'NAME'     => 'PGPLOT',
> >       'PREREQ_PM' => { 'ExtUtils::F77' => 1.13 },
> >       'VERSION_FROM'     => 'PGPLOT.pm',
> > -     ($^O eq 'VMS' ? ('LIBS' => 'pgplot_dir:cpgplot.olb') :
> > -     (-d 'pgplot_tmp' ?
> > -        ('OBJECT' => '$(BASEEXT)$(OBJ_EXT) pgplot_tmp/libcpgplot.a '.
> > -                    'pgplot_tmp/libpgplot.a',
> > -        'LIBS' => [ join( ' ', $LIBDIRS, $LIBS, ExtUtils::F77->runtime ) 
> > ]
> > -       )
> > -      :
> > -      ('LIBS' => [ join( ' ', $LIBDIRS, $LIBS, ExtUtils::F77->runtime )])
> > -     )),
> > +    'LIBS' => [' -lcpgplot -lpgplot -lpng -L/usr/X11R6/lib -lX11 ' .
> > +              ExtUtils::F77->runtime],
> >       'DEFINE'   =>  ExtUtils::F77->trail_ ? "" : "-DNO_TRAILING_USCORE",
> > -    ($^O eq 'VMS' ? ('INC' => 'pgplot_dir:') : (
> > -    'INC'      => $IDIRS
> > -    )),
> >       'dist'      => { COMPRESS=>"gzip", SUFFIX=>"gz" },
> >       'DLEXT'     => $dlext,
> >       'depend'    => { '$(OBJECT)' => q[pgfun.c arrays.c PGPLOT.c]}
> > 
> > 
> > 




Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Diab Jerius <dj@head.cfa.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #25 received at 407462@bugs.debian.org (full text, mbox):

From: Diab Jerius <dj@head.cfa.harvard.edu>
To: 407462@bugs.debian.org, egre@agni.phys.iit.edu
Cc: Diab Jerius <djerius@cfa.harvard.edu>
Subject: Re: Bug#407462 closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 12:04:46 -0500
I've tracked down a problem and a dilemma.


There are two things going on:

  1. C compiler flags are being ignored when compiling libcpgplot.a
  2. The static libcpgplot.a library is explicitly being built without
the -fPIC option


Problem #1 arises because of the Perl "hack to get around a strange
makefile problem".  I'm not sure what that problem is - I've never had a
problem with the generated makefile.  In any case the debian hack
doesn't pass the compiler flags to the compiler.  To fix that,
change debian/compc so it looks like this:

        #!/usr/bin/perl
        
        print "This is a hack to get around a strange makefile problem\n";
        
        while (<>) {
          $com = "$ENV{CCOMPL} -c $ENV{CFLAGC} $_";
          print "$com";
          system $com;
        }
        
        
        1; #OK

Note the use of the CCOMPL and CFLAGC variables.  Then, fix the
invocation of compc in makemake so that it looks like this:

        ls *.c  | env CCOMPL="$(CCOMPL)" CFLAGC="$(CFLAGC)" perl ../compc 


The next problem has to do with how the library is built.  If the -fPIC
flag is used to build libcpgplot.a (as is suggested by the linker error
message), then the Perl PGPLOT interface links against it without error
and all tests pass.  However, the changelog says: 

        pgplot5 (5.2.2-6) unstable; urgency=low
        
          * Removed PIC compilation for static library. Closes: #146077
        
Bug #146077 refers to a problem on ia64 platforms where mixing of PIC
and non-PIC is not allowed.  However, removal of the flag breaks x86_64
platforms (I haven't tried this on an i686 system yet).  Hence the
dilemma.  I don't enough about the debian system to provide a patch
which reinstates the flag for x86_64 systems.

Diab





Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Carlo Segre <segre@iit.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #30 received at 407462@bugs.debian.org (full text, mbox):

From: Carlo Segre <segre@iit.edu>
To: Diab Jerius <dj@head.cfa.harvard.edu>, 407462@bugs.debian.org
Cc: Diab Jerius <djerius@cfa.harvard.edu>, Gopal Narayanan <gopal@debian.org>
Subject: Re: Bug#407462: closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 13:46:48 -0600 (CST)
Hi Diab:

On Mon, 22 Jan 2007, Diab Jerius wrote:

> Carlo,
>
> Thanks for looking at this.  Unfortunately, PGPPLOT 2.19 is very
> different from 2.18 (I helped with the 2.19 changes so I'm familiar with
> the code) so the fix for 2.18 is not applicable, and is in fact no
> longer required.
>

I will try to remove those patches then.

> The problem really is a compilation problem, not a setup problem.  Note
> that the error is not that it cannot find the library, but that it
> cannot link against the library because of the way that the library was
> compiled:
>
> /usr/bin/ld: /usr/lib/libcpgplot.a(cpgarro.o): relocation R_X86_64_PC32 against
> `pgarro_' can not be used when making a shared object; recompile with -fPIC
>

I guess I am a bit confused.  Wouldn't I get the same error when I build 
the 2.19 package as you do when you compile it?  I am not seeing this 
error come up.  It could be my general ignorance though.

Carlo


-- 
Carlo U. Segre -- Professor of Physics
Associate Dean for Special Projects, Graduate College
Illinois Institute of Technology
Voice: 312.567.3498            Fax: 312.567.3494
segre@iit.edu   http://www.iit.edu/~segre   segre@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Diab Jerius <dj@head.cfa.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #35 received at 407462@bugs.debian.org (full text, mbox):

From: Diab Jerius <dj@head.cfa.harvard.edu>
To: Carlo Segre <segre@iit.edu>
Cc: 407462@bugs.debian.org, Diab Jerius <djerius@cfa.harvard.edu>, Gopal Narayanan <gopal@debian.org>
Subject: Re: Bug#407462: closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 15:04:01 -0500
Carlo,

On Mon, 2007-01-22 at 13:46 -0600, Carlo Segre wrote:
> Hi Diab:
> 
> I guess I am a bit confused.  Wouldn't I get the same error when I build 
> the 2.19 package as you do when you compile it?  I am not seeing this 
> error come up.  It could be my general ignorance though.

I just tried this out on a i686 box and it works -- it looks like it's
X86_64 specific, so if you're not on the 64bit box you probably won't
see it.

Diab





Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Carlo Segre <segre@iit.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #40 received at 407462@bugs.debian.org (full text, mbox):

From: Carlo Segre <segre@iit.edu>
To: Diab Jerius <dj@head.cfa.harvard.edu>
Cc: 407462@bugs.debian.org, Gopal Narayanan <gopal@debian.org>
Subject: Re: Bug#407462: closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 14:11:07 -0600 (CST)
Hi Diab:

On Mon, 22 Jan 2007, Diab Jerius wrote:

> Carlo,
>
> On Mon, 2007-01-22 at 13:46 -0600, Carlo Segre wrote:
>> Hi Diab:
>>
>> I guess I am a bit confused.  Wouldn't I get the same error when I build
>> the 2.19 package as you do when you compile it?  I am not seeing this
>> error come up.  It could be my general ignorance though.
>
> I just tried this out on a i686 box and it works -- it looks like it's
> X86_64 specific, so if you're not on the 64bit box you probably won't
> see it.
>

I see, I will have to see if I can use an account on an ia64 machine to 
test this out.  I don't have one here at IIT.  Do you think that amd64 
will have the same problem?

In any case, it will have to wait for a few days as I prepare my calsses 
this week.

Carlo

-- 
Carlo U. Segre -- Professor of Physics
Associate Dean for Special Projects, Graduate College
Illinois Institute of Technology
Voice: 312.567.3498            Fax: 312.567.3494
segre@iit.edu   http://www.iit.edu/~segre   segre@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Diab Jerius <dj@head.cfa.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #45 received at 407462@bugs.debian.org (full text, mbox):

From: Diab Jerius <dj@head.cfa.harvard.edu>
To: Carlo Segre <segre@iit.edu>
Cc: 407462@bugs.debian.org, Gopal Narayanan <gopal@debian.org>
Subject: Re: Bug#407462: closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 15:24:58 -0500
Carlo,

On Mon, 2007-01-22 at 14:11 -0600, Carlo Segre wrote:
> Hi Diab:
> 
> On Mon, 22 Jan 2007, Diab Jerius wrote:
> 
> > Carlo,
> >
> > On Mon, 2007-01-22 at 13:46 -0600, Carlo Segre wrote:
> >> Hi Diab:
> >>
> >> I guess I am a bit confused.  Wouldn't I get the same error when I build
> >> the 2.19 package as you do when you compile it?  I am not seeing this
> >> error come up.  It could be my general ignorance though.
> >
> > I just tried this out on a i686 box and it works -- it looks like it's
> > X86_64 specific, so if you're not on the 64bit box you probably won't
> > see it.
> >
> 
> I see, I will have to see if I can use an account on an ia64 machine to 
> test this out.  I don't have one here at IIT.  Do you think that amd64 
> will have the same problem?

X86_64 == AMD64, EMT64
ia64 == Itanium

I know the problem exists on X86_64, but not on i686.  I don't have
access to an ia64.

> In any case, it will have to wait for a few days as I prepare my calsses 
> this week.
> 
> Carlo
> 

Thanks,
Diab





Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to segre@agni.phys.iit.edu:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #50 received at 407462@bugs.debian.org (full text, mbox):

From: Carlo Segre <segre@iit.edu>
To: Diab Jerius <dj@head.cfa.harvard.edu>
Cc: 407462@bugs.debian.org, Gopal Narayanan <gopal@debian.org>
Subject: Re: Bug#407462: closed by Carlo Segre <segre@iit.edu> (reply to segre@agni.phys.iit.edu) (Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails)
Date: Mon, 22 Jan 2007 21:53:38 -0600 (CST)
On Mon, 22 Jan 2007, Diab Jerius wrote:

> X86_64 == AMD64, EMT64
> ia64 == Itanium
>
> I know the problem exists on X86_64, but not on i686.  I don't have
> access to an ia64.
>

Sorry, I do have an amd64 and I'll be able to test solutions for this 
problem.  Is the root cause perhaps something more fundamental with amd64 
compilers?

In any case, I will repoen the bug.

Carlo

-- 
Carlo U. Segre -- Professor of Physics
Associate Dean for Special Projects, Graduate College
Illinois Institute of Technology
Voice: 312.567.3498            Fax: 312.567.3494
segre@iit.edu    http://www.iit.edu/~segre    segre@debian.org



Bug reopened, originator not changed. Request was from Carlo Segre <segre@iit.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gopal Narayanan <gopal@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Diab Jerius <dj@head.cfa.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Gopal Narayanan <gopal@debian.org>. Full text and rfc822 format available.

Message #57 received at 407462@bugs.debian.org (full text, mbox):

From: Diab Jerius <dj@head.cfa.harvard.edu>
To: segre@agni.phys.iit.edu
Cc: 407462@bugs.debian.org
Subject: Re: Bug#407462: closed by Carlo Segre <segre@iit.edu>
Date: Wed, 24 Jan 2007 11:59:18 -0500
On Mon, 2007-01-22 at 21:53 -0600, Carlo Segre wrote:
> On Mon, 22 Jan 2007, Diab Jerius wrote:
> 
> > X86_64 == AMD64, EMT64
> > ia64 == Itanium
> >
> > I know the problem exists on X86_64, but not on i686.  I don't have
> > access to an ia64.
> >
> 
> Sorry, I do have an amd64 and I'll be able to test solutions for this 
> problem.  Is the root cause perhaps something more fundamental with amd64 
> compilers?

It looks like it's specific to the AMD64 linker/compiler toolchain -- it
may be that's just the way it works.

> In any case, I will repoen the bug.

thanks.


> Carlo
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Carlo Segre <segre@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@iki.fi>:
Extra info received and forwarded to list. Copy sent to Carlo Segre <segre@debian.org>. Full text and rfc822 format available.

Message #62 received at 407462@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@iki.fi>
To: 407462@bugs.debian.org
Subject: Re: pgplot5: Perl module compilation against cpgplot fails
Date: Fri, 7 Sep 2007 23:31:50 +0300
[Message part 1 (text/plain, inline)]
tag 407462 patch
thanks

Hi Carlo,

here's a proposed patch for including a shared (with -fPIC, naturally)
version of the C bindings. I was able to get the Perl module work on
amd64 with this.

The build system is quite weird; please consider making it a bit less
confusing by modifying sys_linux/g77_gcc.conf straight in the
.diff.gz instead of copying it from debian/ during the build process.

There's some cruft in debian/ as well (*.old, g77_elf.conf.debian).

Cheers,
-- 
Niko Tyni   ntyni@iki.fi
[407462.patch (text/x-diff, attachment)]

Tags added: patch Request was from Niko Tyni <ntyni@iki.fi> to control@bugs.debian.org. (Fri, 07 Sep 2007 20:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Carlo Segre <segre@debian.org>:
Bug#407462; Package pgplot5. Full text and rfc822 format available.

Acknowledgement sent to Carlo Segre <segre@iit.edu>:
Extra info received and forwarded to list. Copy sent to Carlo Segre <segre@debian.org>. Full text and rfc822 format available.

Message #69 received at 407462@bugs.debian.org (full text, mbox):

From: Carlo Segre <segre@iit.edu>
To: Niko Tyni <ntyni@iki.fi>, 407462@bugs.debian.org
Subject: Re: Bug#407462: pgplot5: Perl module compilation against cpgplot fails
Date: Fri, 7 Sep 2007 16:07:02 -0500 (CDT)
Hi Niko:

Thanks very much.  I will work on this over the weekend.  Changing the 
build system is another kettle of fish, however.  I have to really dig 
into it and spend some time.

Carlo

On Fri, 7 Sep 2007, Niko Tyni wrote:

> tag 407462 patch
> thanks
>
> Hi Carlo,
>
> here's a proposed patch for including a shared (with -fPIC, naturally)
> version of the C bindings. I was able to get the Perl module work on
> amd64 with this.
>
> The build system is quite weird; please consider making it a bit less
> confusing by modifying sys_linux/g77_gcc.conf straight in the
> .diff.gz instead of copying it from debian/ during the build process.
>
> There's some cruft in debian/ as well (*.old, g77_elf.conf.debian).
>
> Cheers,
>

-- 
Carlo U. Segre -- Professor of Physics
Associate Dean for Special Projects, Graduate College
Illinois Institute of Technology
Voice: 312.567.3498            Fax: 312.567.3494
segre@iit.edu   http://www.iit.edu/~segre   segre@debian.org



Reply sent to Carlo Segre <segre@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Diab Jerius <djerius@cfa.harvard.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #74 received at 407462-close@bugs.debian.org (full text, mbox):

From: Carlo Segre <segre@debian.org>
To: 407462-close@bugs.debian.org
Subject: Bug#407462: fixed in pgplot5 5.2.2-10
Date: Mon, 10 Sep 2007 05:47:03 +0000
Source: pgplot5
Source-Version: 5.2.2-10

We believe that the bug you reported is fixed in the latest version of
pgplot5, which is due to be installed in the Debian FTP archive:

pgplot5_5.2.2-10.diff.gz
  to pool/non-free/p/pgplot5/pgplot5_5.2.2-10.diff.gz
pgplot5_5.2.2-10.dsc
  to pool/non-free/p/pgplot5/pgplot5_5.2.2-10.dsc
pgplot5_5.2.2-10_i386.deb
  to pool/non-free/p/pgplot5/pgplot5_5.2.2-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407462@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Carlo Segre <segre@debian.org> (supplier of updated pgplot5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 09 Sep 2007 19:07:26 -0500
Source: pgplot5
Binary: pgplot5
Architecture: source i386
Version: 5.2.2-10
Distribution: unstable
Urgency: low
Maintainer: Carlo Segre <segre@debian.org>
Changed-By: Carlo Segre <segre@debian.org>
Description: 
 pgplot5    - large subroutine library for plotting scientific data
Closes: 407462
Changes: 
 pgplot5 (5.2.2-10) unstable; urgency=low
 .
   * Courtesy of Niko Tyni:
     - Remove unneeded debian/compc, a "hack to get around a strange
       makefile problem" that was ignoring compiler flags.
     - Include a shared version of the C binding library, needed by
       the Perl bindings. (Closes: #407462)
   * Transition to gfortran since g77 is being removed for lenny
Files: 
 ff9e71c6dbf7a00f1b47443ecd1e1332 735 non-free/math optional pgplot5_5.2.2-10.dsc
 8ac0aae0584b7ebf50df9227135fe7fd 14445 non-free/math optional pgplot5_5.2.2-10.diff.gz
 c3c07318c8bba1a60589e0258511e99e 622936 non-free/math optional pgplot5_5.2.2-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG5M7LebASZpNwHu8RAmD4AJ9sG2voCee7Nl+XDcgqdav+gk9DIQCeLwYR
ze9lYoow1sn9DHfm7gagUag=
=Kl5o
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 08:15:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:39:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.